Subject: bug#73415: 30.0.91; Emacs 30 build fails on Ubuntu 24.04

From: Mark Grosen <[email-masked]>
Date: Thu, 26 Sep 2024 14:51:15 -0700

Maybe it was not clear earlier in the thread, but I am using:

>>>> This is built from git checkout of emacs-30 or emacs-30.0.91 in /home/mark/Stuff/emacs

I have been using a simple script to build in-development snapshots
from git for a while and, for
historical reasons (?), always used the sequence of:

git clean -fdx
make bootstrap
./configure
make

I guess this is really not necessary any more so I will switch to the
simpler methods in INSTALL.REPO.

Mark

On Wed, Sep 25, 2024 at 11:33 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Mark Grosen <[email-masked]>
> > Date: Wed, 25 Sep 2024 20:29:06 -0700
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >
> > >> OK, so the decision is indeed not to try solving this on emacs-30.  I
> > >> wasn't sure.
> >
> > > That was my understanding at least, as we could not find a simple
> > > fix/workaround with limited impact we could install in emacs-30.  Of
> > > course if you have a different suggestion please voice it.
> >
> > Thanks for the feedback. I know how to build more efficiently now, so my
> > issue is closed.
>
> Thanks, closing the bug.
>
> > I will leave it to you if this warrants a line in the changelog or
> > INSTALL.repo.
>
> We might do that, but I'd first need to understand better your reasons
> for using "make bootstrap" when building from a tarball.  The Emacs
> release and pretest tarballs are intentionally prepared to make the
> build as fast as possible, which is why all the platform-independent
> files produced by bootstrapping (notably, the configure script, all
> the *.elc files, and all the Info manuals) are included in the
> tarball.  So why did you decide to bootstrap?